Bug 589472 - quota command does not show grace period when hard limit is reached
Summary: quota command does not show grace period when hard limit is reached
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: quota
Version: 5.5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Petr Pisar
QA Contact: Martin Cermak
URL:
Whiteboard:
Depends On: 77871
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 09:09 UTC by Petr Pisar
Modified: 2011-01-13 22:10 UTC (History)
6 users (show)

Fixed In Version: quota-3.13-2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 77871
Environment:
Last Closed: 2011-01-13 22:10:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0023 normal SHIPPED_LIVE quota bug fix and enhancement update 2011-01-12 15:59:31 UTC

Description Petr Pisar 2010-05-06 09:09:29 UTC
+++ This bug was initially created as a clone of Bug #77871 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When the hardlimit has been reached by a user, the quota command no longer
displays the remaining grace period.  When only the soft limit has been
exceeded, the quota command performs as expected.  If the user, who has reached
the hard limit, removes files such that they are still over the soft limit, but
not at the hard limit, the grace period returns to the output of quota.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create a user
2.set hard and soft block quotas for said user
3.create files (maybe with dd?)
4.run quota when the hard block limit has been reached
	

Actual Results:  Disk quotas for user frank (uid 2021):
  Filesystem  blocks   quota  limit   grace  files  quota  limit  grace
   /dev/hda1   10240*   8192  10240              2      0      0       

Expected Results:  Disk quotas for user frank (uid 2021):
  Filesystem  blocks   quota  limit   grace  files  quota  limit  grace
   /dev/hda1   10240*   8192  10240   7days      2      0      0       

Additional info:


--- Additional comment from ovasik@redhat.com on 2010-03-19 10:41:49 EDT ---

Patch is available at http://linuxquota.cvs.sourceforge.net/viewvc/linuxquota/quota-tools/quota.c?r1=1.15&r2=1.16 - note - just part of that patch is needed to fix the issue, in fact easyfix.

Comment 8 errata-xmlrpc 2011-01-13 22:10:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0023.html


Note You need to log in before you can comment on or make changes to this bug.